Subject: g(r) using CHARMM

From: Troy Wymore <[email-masked]>
Date: Wed, 12 Mar 1997 11:34:11 -0600 (CST)

Dear CCL,

I am having one major problem making a radial distribution function using
CHARMM24.  It seems no matter what I do I get a bus error (core dumped)
when running my script.  My trajectory file is from a simulation involving
about 5,000 atoms.  I have reduced the number of frames to read when
constructing the radial distribution function but  this does not help. My
script,after reading in the topology, parameter, psf, coordinate and image
files looks as such:

set nfil 32
set iun 21 
label olp
open unit @iun read file name box_subp2_dyn2f.trj.@nfil
incr iun by 1
incr nfil by 1
if nfil le 34 goto olp
traj iread 21 nread 3 skip 1000 begin 181500 stop 183500

! THIS IS THE LOOP OVER FRAMES
set nfrm 1
label lp1
traj read

update inbfrq 1 imgfrq 1 cutim 13.0 cutnb 13.0 wmin 1.5
coor dist image sele resn TIP3 .and. type OH2 end sele segid -
PEP .and. resn ARG .and. type NH1 end -
cut 8.5 hist hmin 0.0 hmax 8. hnum 80 hsave

incr nfrm by 1
if nfrm le 3 goto lp1

bomblev -3
open unit 10 write card name argnh-gr.dat

! HNORM IS 1 PEP x 3 FRAMES
outu 10
coor dist image sele none end sele none end cut 8.5 hist -
   hmin 0.0 hmax 8. hnum 80 hsave hnorm 3.  hprint
outu 6

stop

If not for the bus error, I think this script should work.  But it never
gets beyond looping over the frames and usually not that far. 

I know people have analyzed longer and larger trajectories than this so I
must be doing something wrong.

Any suggestions would be much appreciated.   

****************************************
Troy Wymore
Department of Chemistry
University of Missouri-Columbia
Columbia, MO 65211

e-mail: [email-masked]
http://www.missouri.edu/~chemtw/troy.html
*****************************************